
Smart Proxy - Bug #20826

ISC DHCP new parser is unable to parse DUID

09/01/2017 05:01 AM - Lukas Zapletal

Status: Closed   

Priority: High   

Assignee:    

Category: DHCP   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/541,

https://github.com/theforeman/smart-pro

xy/pull/566

  

Description

Hi there,

the new parser fails to parse this line on my system:

server-duid "\000\001\000\001!:}\221RT\000^\244\022";

 Looks like regression. I am using the standard unmodified ISC DHCP from F25.

Related issues:

Related to Smart Proxy - Bug #22432: Handle LITERAL in ignored_declaration fo... Duplicate 01/26/2018

Associated revisions

Revision e1119477 - 09/25/2017 04:58 AM - Dmitri Dolguikh 

Fixes #20826: added parsing of server-duids

Revision 0e9bc1c5 - 02/12/2018 08:57 AM - Dmitri Dolguikh 

Fixes #20826 - additional test for server-duid parser.

History

#1 - 09/05/2017 06:03 PM - Anonymous

- Status changed from New to Assigned

- Assignee set to Anonymous

#2 - 09/06/2017 06:55 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/541 added

#3 - 09/25/2017 05:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset e11194772cc7f1eeaea39da57c386361356b899b.

#4 - 02/09/2018 08:47 PM - Anonymous

- Related to Bug #22432: Handle LITERAL in ignored_declaration for dhcp_isc configuration parsing added

#5 - 02/09/2018 08:51 PM - The Foreman Bot
https://projects.theforeman.org/projects/smart-proxy/repository/7/revisions/e11194772cc7f1eeaea39da57c386361356b899b


- Pull request https://github.com/theforeman/smart-proxy/pull/566 added
